# -*- rpm-spec -*-
# $Id: avr-libc,v 1.1 2002/10/28 16:41:41 grigory Exp $

%define cross_arch avr

Summary: AVR libc.
Name: avr-libc
Version: 20020203
Release: alt1
Copyright: GPL, LGPL, BSD, Public Domain
Group: Development/Other
URL: http://www.amelek.gda.pl/avr/libc

Source0: http://www.amelek.gda.pl/avr/libc/avr-libc-%version.tar.gz
Patch0: avr-libc-20020203-patch128
Patch1: avr-libc-20020203-patchc++
Patch2: avr-libc-20020203-config.patch
Patch3: avr-libc-20020203-strncasecmp.diff
Patch4: avr-libc-20020203-hdr-cleanup.diff
Patch5: avr-libc-20020203-m128-timer.diff

# Automatically added by buildreq on Fri Oct 25 2002
BuildRequires: avr-binutils avr-gcc-c++

BuildRequires: avr-gcc >= 3.0.4-2
Requires: avr-gcc >= 3.0.4-2

%define libavrdir %_libdir/%cross_arch
%define includeavrdir %_includedir/%cross_arch

%description
Avr-libc is a C library for developing applications for Atmel AVR microcontrollers.

%prep
%setup -q
%patch0 -p1 -b .patch-128
%patch1 -p1 -b .patch-c++
%patch2 -p1 -b .patch-config
%patch3 -p1 -b .patch-strncasecmp
%patch4 -p1 -b .patch-hdr-cleanup
%patch5 -p1 -b .patch-m128-timer

# Touching these files stops the make step from running aclocal, autoconf and
# automake. This is needed since we patched the build system.
touch aclocal.m4
touch configure

%build
# %__subst "s|\(tooldir = \$(exec_prefix)/\)\(\$(host_alias)\)|\1lib/\2|" Makefile.in
rm -fr obj-%_target_platform
%__mkdir obj-%_target_platform
cd obj-%_target_platform

../configure \
	--prefix=%_prefix \
	--exec-prefix=%libavrdir \
	--libdir=%_libdir \
	--includedir=%includeavrdir \
	--mandir=%_mandir \
	--infodir=%_infodir
%make_build

%install
%__mkdir_p %buildroot%_prefix
cd obj-%_target_platform
%__make \
	prefix=%buildroot%_prefix \
	exec_prefix=%buildroot%_libdir \
	mandir=%buildroot%_mandir \
	infodir=%buildroot%_infodir \
	install

%files
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README doc
%libavrdir/include/*
%libavrdir/lib/*

%changelog
* Fri Oct 25 2002 Grigory Milev <week@altlinux.ru> 20020203-alt1
- Initial build for ALT Linux

* Fri May 03 2002 Theodore Roth <troth@verinet.com>
- Added patch to fix timer.h for mega128.

* Mon Apr 29 2002 Theodore Roth <troth@verinet.com>
- Added patch to fix headers.
- Fix strncasecmp_P macro in pgmspace.h.

* Wed Mar 27 2002 Theodore Roth <troth@verinet.com>
- Updated avr-gcc dependency to 3.0.4-2.
- Fixed up %files section to work with rh-7.1.

* Mon Mar 17 2002 Theodore Roth <troth@verinet.com>
- Initial spec file.
